## org.opengis.filter.identity
Interface GmlObjectId<O>

All Superinterfaces:
  Identifier<String,O>

    @XmlElement(value="GMLObjectId")
    public interface GmlObjectId<O>

extends Identifier<String,O>

Feature and Geometry identifier for GML3 specification.

GML3 constructs are are identified with a String, commonly referred to as a "id".

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`String` `getID()` The identifier value, which is a string.
`boolean` `matches(O object)` Evaluates the identifer value against the given GML3 construct.

Methods inherited from interface Identifier
`toString`

Method Detail

### getID

    @XmlElement(value="id")
    String getID()

  The identifier value, which is a string.

  Specified by:
    `getID` in interface `Identifier<String,O>`

### matches

    boolean matches(O object)

  Evaluates the identifer value against the given GML3 construct.

  Specified by:
    `matches` in interface `Identifier<String,O>`
  Parameters:
    `feature` - The GML3 construct to be tested.
  Returns:
    `true` if a match, otherwise `false`.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.